<?php
//ini_set('display_error',1);
date_default_timezone_set('America/Lima');
session_start();
if($_SESSION["sistema"]!= "1"){ header("location: ../login/index.php"); exit();}

require_once ("../../config/Cado.php");
require_once ("../formatos/formato.php");
require_once ("../formatos/fechas.php");
require_once ("../grafica/cGrafica.php");
$oGrafica = new cGrafica();
require_once("../tipocambio/cTipocambio.php");
$oTipocambio = new ctipocambio();


//echo $_POST['anio'];

?>
<style type="text/css">
select{
	cursor:pointer;
}

</style>


	<div id="ventascomprasdiferencias" class="col-lg-12 col-sm-12 col-xs-12" style="height:400px;" ></div>


<script type="text/javascript">



	$(function() {
		
	Highcharts.chart('ventascomprasdiferencias', {
    colors: ['#FFD700', '#64DD17', '#1A237E'],
    chart: {
        type: 'column',
        inverted: true,
        polar: true
    },
    title: {
        text: 'Diferencias de Ventas y Compras en <?php echo $_POST["anio"];?>'
    },
    tooltip: {
        outside: true
    },
    pane: {
        size: '100%',
        innerSize: '20%',
        endAngle: 270
    },
    xAxis: {
        tickInterval: 1,
        labels: {
            align: 'right',
            useHTML: true,
            allowOverlap: true,
            step: 1,
            y: 3,
            style: {
                fontSize: '13px'
            }
        },
        lineWidth: 0,
        categories: [
            'Enero',
            'Febrero',
            'Marzo',
            'Abril',
            'Mayo',
            'Junio',
            'Julio',
            'Agosto',
            'Septiembre',
            'Octubre',
            'Noviembre',
            'Diciembre'
        ]
    },
    yAxis: {
        crosshair: {
            enabled: true,
            color: '#333'
        },
        lineWidth: 0,
        tickInterval: 25,
        reversedStacks: false,
        endOnTick: true,
        showLastLabel: true
    },
    plotOptions: {
        column: {
            stacking: 'normal',
            borderWidth: 0,
            pointPadding: 0,
            groupPadding: 0.15
        }
    },
    series: [ {
        name: 'COMPRAS',
        data: [
		
		<?php 
		$nummes = 12;
		for($c=1;$c<=$nummes;$c++){
			$totcom = 0;
			if($c<=9){
				$c = '0'.$c;
			}
			
			$dts1 =	$oGrafica->mostrar_xperiodocompra($c,$_POST['anio'],'1');
			while($dt = mysqli_fetch_array($dts1)){
						
			if($dt['tb_moneda_id']==2){
			$rs = $oTipocambio->consultar(fecha_mysql($dt['tb_compra_fec']));  
			$r = mysqli_fetch_array($rs);	
			$tipcam = formato_money3($r['tb_tipocambio_dolsun']);
			}
			else{
			$tipcam = '1.00';	
			}
			
			
			$totcom += $dt['tb_compra_tot'] * $tipcam;
			}
			
			$_SESSION['compra_tot'][$c] = $totcom;
			
		?>
			<?php echo moneda_mysql(formato_money($totcom)); ?>,
		<?php 
		}
		?>
		
		
		]
    },{
        name: 'VENTAS',
        data: [
		
		<?php 
		$nummes = 12;
		for($i=1;$i<=$nummes;$i++){
			$totnot = 0;
			$tot  = 0;
			if($i<=9){
				$i = '0'.$i;
			}
			
			
			$dts1 =	$oGrafica->mostrar_xperiodonotacredito($i,$_POST['anio'],'1');
			while($dt = mysqli_fetch_array($dts1)){
						
			if($dt['tb_moneda_id']==2){
			$rs = $oTipocambio->consultar(fecha_mysql($dt['tb_notacredito_fec']));  
			$r = mysqli_fetch_array($rs);	
			$tipcam = formato_money3($r['tb_tipocambio_dolsun']);
			}
			else{
			$tipcam = '1.00';	
			}
			
			$totnot += $dt['tb_notacredito_tot'] * $tipcam;
			
			}
			
			
			
			
			$dts1 =	$oGrafica->mostrar_xperiodoventa($i,$_POST['anio'],'1');
			while($dt = mysqli_fetch_array($dts1)){
				
				if($dt['tb_venta_estsun']==2){
					$tot ==0;
				}else{
							
					if($dt['tb_moneda_id']==2){
					$rs = $oTipocambio->consultar(fecha_mysql($dt['tb_venta_fec']));  
					$r = mysqli_fetch_array($rs);	
					$tipcam = formato_money3($r['tb_tipocambio_dolsun']);
					}
					else{
					$tipcam = '1.00';	
					}
					
					$tot += $dt['tb_venta_tot'] * $tipcam;
				}
			}
			
				$totalventa = moneda_mysql(formato_money($tot-$totnot));
				
				$_SESSION['venta_tot'][$i] = $totalventa;
				
		?>
			<?php echo $totalventa; ?>,
		<?php 
			//mysqli_free_result($dts);
			
			
		}
		?>
		
		]
    }, {
        name: 'DIFERENCIA',
        data: [
		<?php 
		$nummes = 12;
		for($i=1;$i<=$nummes;$i++){
			
			if($i<=9){
				$i = '0'.$i;
			}
			
			$ventot = $_SESSION['venta_tot'][$i];
			$comtot = $_SESSION['compra_tot'][$i];
			
			$dif = $comtot - $ventot;
			
		?>
			<?php echo moneda_mysql(formato_money($dif)); ?>,
		<?php	
			
		}
		?>
		
		]
    }]
});
			
		}); 

</script>
